{
  "name": "quantum-ia-server",
  "version": "1.0.0",
  "description": "",
  "main": "app.js",
  "scripts": {
    "tsc": "tsc",
    "build-local": "npm run tsc",
    "start:local": "rimraf dist && tsc-watch -P ./tsconfig.json --onSuccess \"node dist/app.js --trace-warnings\"",
    "dev": "rimraf dist && tsc-watch -P ./tsconfig.json",
    "local-1": "nodemon dist/app/app --port 3001",
    "local-2": "nodemon dist/app/app --port 3002",
    "local-3": "nodemon dist/app/app --port 3003",
    "serve": "node dist/app",
    "start": "node dist/app",
    "swagger-autogen": "node ./swagger.js",
    "start-local2": "rimraf dist && tsc && cls && node dist/app/app",
    "start:local3": "tsc-watch -P ./tsconfig.json --onSuccess \"node dist/app/app --trace-warnings\"",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "api-query-params": "^5.4.0",
    "axios": "^0.27.2",
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.20.0",
    "cors": "^2.8.5",
    "dotenv": "^16.0.1",
    "express": "^4.18.1",
    "express-expeditious": "^5.1.1",
    "express-list-endpoints": "^6.0.0",
    "express-rate-limit": "^6.7.0",
    "express-slow-down": "^1.6.0",
    "express-useragent": "^1.0.15",
    "express-validator": "^6.14.1",
    "generate-schema": "^2.6.0",
    "helmet": "^5.1.0",
    "jsonwebtoken": "^8.5.1",
    "jwt-decode": "^3.1.2",
    "mongodb": "^4.7.0",
    "mongojs": "^3.1.0",
    "mongoose": "^6.3.4",
    "mongoose-aggregate-paginate-v2": "^1.0.6",
    "mongoose-delete": "^0.5.4",
    "mongoose-paginate-v2": "^1.6.3",
    "morgan-body": "^2.6.6",
    "multer": "^1.4.4",
    "paypal-rest-sdk": "^1.8.1",
    "swagger-autogen": "^2.21.2",
    "swagger-jsdoc": "^6.2.1",
    "swagger-ui-express": "^4.4.0",
    "typescript": "^4.6.4",
    "validator": "^13.7.0"
  },
  "devDependencies": {
    "@types/swagger-jsdoc": "^6.0.1",
    "@types/swagger-ui-express": "^4.1.3",
    "copyfiles": "^2.4.1",
    "cross-env": "^7.0.3",
    "ts-node": "^10.8.0",
    "tsc-watch": "^5.0.3"
  }
}
